#!/bin/sh
# the next line restarts using tclsh \
exec tclsh "$0" "$@"

load ../src/gnocl.so

set t0 [clock clicks -milliseconds]

set box [gnocl::box -orientation vertical]
for { set k 0 } { $k < 20 } { incr k } {
   set hbox [gnocl::box -orientation horizontal -label "hBox $k"]
   for { set m 0 } { $m < 50 } { incr m } {
      $hbox add [gnocl::button -text x]
   }
   $box add $hbox
}
set win [gnocl::window -title "OptionMenu Tests" -child $box]

update idletasks
set t1 [clock clicks -milliseconds]
puts [format "time: %.0f" [expr {$t1-$t0}]]

gnocl::mainLoop
